Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller
Class PortletController

    java.lang.Object
      org.jboss.portal.portlet.controller.PortletController

    public class PortletController

extends java.lang.Object

The portlet controller which handles the page state management and the interactions between the action phase and the event phase. It really only does that and not more.

The event distribution is based on a fifo policy.

1/ introduce EventRequest so the portal can send events directly to a portlet

2/ make the event controller return a decision for a given event. Today it just returns a list of events to process. An event can be handled in various manners by the controller: - produce new events (what exists today) - make it a portal event which delivers the event to the portal

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`PortletController()`

Method Summary
`int` | `getConsumedEventThreshold()` The option configures the maximum number of events that can be consumed during one interaction.
`boolean` | `getDistributeNonConsumableEvents()` This option configures the behavior of the controller when an event returned by the event controller is not declared by the target receiving portlet.
`boolean` | `getDistributeNonProduceableEvents()` This option configures the behavior of the controller when a portlet produces an event it does not declare.
`int` | `getProducedEventThreshold()` The option configures the maximum number of events that can be produced during one interaction.
`ControllerResponse` | `process(PortletControllerContext controllerContext, ControllerRequest controllerRequest)`
`PortletInvocationResponse` | `render(PortletControllerContext controllerContext, java.util.List<javax.servlet.http.Cookie> cookies, PortletPageNavigationalState pageNavigationalState, java.lang.String windowId)`
`void` | `setConsumedEventThreshold(int consumedEventThreshold)`
`void` | `setDistributeNonConsumableEvents(boolean distributeNonConsumableEvents)`
`void` | `setDistributeNonProduceableEvents(boolean distributeNonProduceableEvents)`
`void` | `setProducedEventThreshold(int producedEventThreshold)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletController

    public PortletController()

Method Detail

### getDistributeNonConsumableEvents

    public boolean getDistributeNonConsumableEvents()

  This option configures the behavior of the controller when an event returned by the event controller is not declared by the target receiving portlet. If the value is true, then the event will be fired whatsoever otherwise it will be discarded.

  Returns:
    true if the controller distribute a non declared event

### setDistributeNonConsumableEvents

    public void setDistributeNonConsumableEvents(boolean distributeNonConsumableEvents)

### getDistributeNonProduceableEvents

    public boolean getDistributeNonProduceableEvents()

  This option configures the behavior of the controller when a portlet produces an event it does not declare. If the value is true then the event will be managed by the event controller for further redistribution, otherwise it will be discarded.

  Returns:
    true if the controller distribute a non declared event

### setDistributeNonProduceableEvents

    public void setDistributeNonProduceableEvents(boolean distributeNonProduceableEvents)

### getProducedEventThreshold

    public int getProducedEventThreshold()

  The option configures the maximum number of events that can be produced during one interaction. A negative value means that there is no limit to the number of events that can be produced during one interaction.

  Returns:
    the maximum number of produced events

### setProducedEventThreshold

    public void setProducedEventThreshold(int producedEventThreshold)

### getConsumedEventThreshold

    public int getConsumedEventThreshold()

  The option configures the maximum number of events that can be consumed during one interaction. A negative value means that there is no limit to the number of events that can be consumed during one interaction.

  Returns:
    the maximum number of consumed events

### setConsumedEventThreshold

    public void setConsumedEventThreshold(int consumedEventThreshold)

### process

    public ControllerResponse process(PortletControllerContext controllerContext,
                                      ControllerRequest controllerRequest)
                               throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### render

    public PortletInvocationResponse render(PortletControllerContext controllerContext,
                                            java.util.List<javax.servlet.http.Cookie> cookies,
                                            PortletPageNavigationalState pageNavigationalState,
                                            java.lang.String windowId)
                                     throws PortletInvokerException

  Throws:
    `PortletInvokerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.